# $Revision: 1.38 $, $Date: 2004/05/06 18:09:43 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IPC
%define	pnam	ChildSafe
Summary:	IPC::ChildSafe perl module
Summary(pl):	Modu perla IPC::ChildSafe
Name:		perl-IPC-ChildSafe
Version:	3.16
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	68f9ae8be45c7399272a26bbe86d12ba
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::ChildSafe - control a child process without blocking.

%description -l pl
IPC::ChildSafe umoliwia kontrolowanie procesu potomnego bez
blokowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/IPC/*.pm
%dir %{perl_vendorarch}/auto/IPC/ChildSafe
%{perl_vendorarch}/auto/IPC/ChildSafe/ChildSafe.bs
%attr(755,root,root) %{perl_vendorarch}/auto/IPC/ChildSafe/ChildSafe.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-ChildSafe.spec,v $
Revision 1.38  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.37  2004/04/25 07:52:08  ankry
- tests added

Revision 1.36  2004/04/22 13:10:32  ankry
- license fixes & unification

Revision 1.35  2003/09/15 11:44:22  adamg
- updated to 3.16

Revision 1.34  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.33  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.29  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.28  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.27  2003/02/18 22:56:09  ankry
- autoupdated to 3.15

Revision 1.26  2003/02/18 15:33:45  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.24  2002/07/11 08:00:36  depesz
- new version; should work; STBR

Revision 1.23  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/13 14:17:44  depesz
automatic: Source location unfied, Relase Up

Revision 1.18  2002/02/10 15:27:49  depesz
adapterized

Revision 1.17  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/27 16:41:12  mis
- autoupdated to 3.12

Revision 1.15  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.14  2001/04/17 12:11:16  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.11  2001/01/10 23:55:32  kloczek
- release 3: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/11/23 02:34:00  kloczek
- release 2: removed perl-IPC-ChildSafe from Buildrequires.

Revision 1.8  2000/11/19 01:38:54  kloczek
- updated to 3.11 and added using new rpm automation.

Revision 1.7  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:57:47  pius
- updated to 3.10

Revision 1.2  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
